# Python: class privateMessage

start.privateMessage = class privateMessage(builtins.object)

``

Methods defined here:

ShowMessageAsTextPm(self, txt)
  `add txt to the buffer with the time and color
  :param txt: message from sever
  :return:`

ShowMessageErreur(self, txt)
  `Show with color message from the server with error
  :param txt:message from server
  :return: message with color`

UpdateChatP(self)
  `update the chat box
  :return:`

__init__(self, main, s, pmPerson, pmPerso)
  `new windows for a private conversation
  :param main:
  :param s:
  :param pmPerson:
  :param pmPerso:
  :return:`

accept(self)
  `if a user accept a pm with another user
  :return:`

codeNb(self, txt)
  `converted a return code (info and succes) in the message
  :param txt: code from the server
  :return: info, String return from server`

getTimeStamp(self)
  `the time format: H:M
  :return: time`

htmlToText(self, html)
  `converted some characters written by the user (html tag, smiley)
  :param html: message written by an user
  :return: html, message converted`

reject(self)
  `if a user reject a pm conversation
  :return:`

send(self)
  `send the message written in the pm conversation
  :return:`

Data descriptors defined here:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`